
get
/v4/proofs/{chainId}/{root}
Beta feature (not production ready yet) - Paginated Merkle proofs of the tree or lastTree root of a chain. Requires an API key.
Path parameters
chainIdnumber | stringrequired
rootstringrequired
Hex Merkle root, or tree / lastTree for the current onchain roots
Query parameters
cursorstringnextCursor of the previous page. Omit it for the first page.
itemsnumber | stringdefault: 1000Responses
200Response for status 200
Schema
object
chainIdnumberrequired
rootstringrequired
Hex root of this page. Pass it, not the alias, on the following pages.proofsobject[]required
recipientstringtokenAddressstringamountstringproofstring[]nextCursorstring | nullrequired
`null` on the last page.Example
{
"chainId": 0,
"root": "string",
"proofs": [
{
"recipient": "string",
"tokenAddress": "string",
"amount": "string",
"proof": [
"string"
]
}
],
"nextCursor": "string"
}get
https://api.merkl.xyz/v4/proofs//?items=curl -X GET "https://api.merkl.xyz/v4/proofs/1/0xcb9cde3ba5267eb28c02ed05887be7b922ff10777beb2aa71167bfba7ea72e33?items=1000"